Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.model.presentation
Class SelectEClassWizardPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.ecp.view.model.presentation.SelectEClassWizardPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class SelectEClassWizardPage

extends org.eclipse.jface.wizard.WizardPage

Author:
  Alexandra

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`SelectEClassWizardPage()`

Method Summary
`void` | `createControl(org.eclipse.swt.widgets.Composite parent)`
`List<org.eclipse.emf.ecore.EClass>` | `getSelectedEClasses()`
`org.eclipse.emf.ecore.EPackage` | `getSelectedEPackage()`
`boolean` | `isGenerateViewModelOptionSelected()`
`boolean` | `isPageComplete()`
`void` | `setSelectedEClasses(List<org.eclipse.emf.ecore.EClass> selectedEClasses)`
`void` | `setSelectedEPackage(org.eclipse.emf.ecore.EPackage selectedEPackage)`
`void` | `setVisible(boolean visible)`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Constructor Detail

### SelectEClassWizardPage

    public SelectEClassWizardPage()

Method Detail

### getSelectedEPackage

    public org.eclipse.emf.ecore.EPackage getSelectedEPackage()

  Returns:
    the selectedEcore

### setSelectedEPackage

    public void setSelectedEPackage(org.eclipse.emf.ecore.EPackage selectedEPackage)

  Parameters:
    `selectedEPackage` - the selectedEPackage to set

### setSelectedEClasses

    public void setSelectedEClasses(List<org.eclipse.emf.ecore.EClass> selectedEClasses)

  Parameters:
    `selectedEClasses` - the selectedEClasses to set

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `setVisible` in class `org.eclipse.jface.dialogs.DialogPage`
  See Also:
    `DialogPage.setVisible(boolean)`

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

### isGenerateViewModelOptionSelected

    public boolean isGenerateViewModelOptionSelected()

### getSelectedEClasses

    public List<org.eclipse.emf.ecore.EClass> getSelectedEClasses()

### isPageComplete

    public boolean isPageComplete()

  Specified by:
    `isPageComplete` in interface `org.eclipse.jface.wizard.IWizardPage`
  Overrides:
    `isPageComplete` in class `org.eclipse.jface.wizard.WizardPage`
  See Also:
    `WizardPage.isPageComplete()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.